
class ValidationError(Exception):
    """Raised when validation fails"""

    def __init__(self, message):
        self.message = message
        super().__init__(self.message)

    def from_arguments(expression, argument):
        """Convenience method for constructing the error with
        message: \"invalid value for '{argument}': {expression}\""""
        return ValidationError(message = f"invalid value for '{argument}': {expression}")


class AuthenticationError(Exception):
    """Raised when authentication fails"""

    # TODO lisää käyttäjä?
    def __init__(self, message):
        self.message = message
        super().__init__(self.message)