# Weekly report: Week 2

## Tasks

### Administrative
- Four user stories with non-functional requirements were created as instructed.
- Group meeting with mentor was held on monday 25.1.

### Operative
- Database was set up
  - No new roles were necessary to be set up in the project IAM,
  Google Cloud handles access control automatically within the project 

### Development
- Frontend now supports adding new suggested locations
  - New suggestion is marked with a green marker, that
  changes color to blue when the data is saved to the server
  - Suggestion data is input using a form that opens inside
  a popup bound to the green marker
  - So far only name and location (coordinates) are stored
  - All previously suggested hive locations are fetched when
  the map loads and shown on the map
- Get and post features were added to the backend
- Started planning an admin interface
- Started planning testing

## Vulnerability assessment

### Injection
All requests are filtered for injections and missing parameters

### Sensitive data exposure
All sensitive data is stored in environment variables

### Security misconfiguration
The Google Cloud service account was configured to have only the roles necessary to build and deploy the application. The Kubernetes cluster can only be accessed via the GitLab CI or the owner of the GCloud project.

### Using components with known vulnerabilities
Based on information from the snyk.io vulnerability database, no such components are in use.

### Insufficient logging & monitoring
Logging and monitoring for the Kubernetes cluster and App Engine are provided by the Google Cloud platform, but no automatic alerts and log routing have been setup.
